import n from "../utils/index.js";
import l from "../color/index.js";
const m = (o) => {
  const { r, g: a, b: e } = l.parse(o), t = 0.2126 * n.channel.toLinear(r) + 0.7152 * n.channel.toLinear(a) + 0.0722 * n.channel.toLinear(e);
  return n.lang.round(t);
};
export {
  m as default
};
